org.apache.hc.client5.http.impl.auth

## Class AuthCacheKeeper

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.AuthCacheKeeper

    @Internal
     @Contract(threading=STATELESS)
    public final class AuthCacheKeeper
    extends Object

Utility class that implements commons aspects of the client side authentication cache keeping.

Since:
  5.2

### Constructor Summary

Constructors
Constructor and Description
`AuthCacheKeeper(SchemePortResolver schemePortResolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `loadPreemptively(org.apache.hc.core5.http.HttpHost host, String pathPrefix, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)`
`void` `updateOnChallenge(org.apache.hc.core5.http.HttpHost host, String pathPrefix, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)`
`void` `updateOnNoChallenge(org.apache.hc.core5.http.HttpHost host, String pathPrefix, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)`
`void` `updateOnResponse(org.apache.hc.core5.http.HttpHost host, String pathPrefix, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthCacheKeeper

    public AuthCacheKeeper(SchemePortResolver schemePortResolver)

### Method Detail

#### updateOnChallenge

    public void updateOnChallenge(org.apache.hc.core5.http.HttpHost host,
                                  String pathPrefix,
                                  AuthExchange authExchange,
                                  org.apache.hc.core5.http.protocol.HttpContext context)

#### updateOnNoChallenge

    public void updateOnNoChallenge(org.apache.hc.core5.http.HttpHost host,
                                    String pathPrefix,
                                    AuthExchange authExchange,
                                    org.apache.hc.core5.http.protocol.HttpContext context)

#### updateOnResponse

    public void updateOnResponse(org.apache.hc.core5.http.HttpHost host,
                                 String pathPrefix,
                                 AuthExchange authExchange,
                                 org.apache.hc.core5.http.protocol.HttpContext context)

#### loadPreemptively

    public void loadPreemptively(org.apache.hc.core5.http.HttpHost host,
                                 String pathPrefix,
                                 AuthExchange authExchange,
                                 org.apache.hc.core5.http.protocol.HttpContext context)